package domain


type AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult struct {
    /*
        正常情况下data返回null     */
    Data  *string `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误编码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult) SetData(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
